Skip to content
Start here

List saved query matches

GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/domain/matches

Get paginated list of domain matches for one or more brand protection queries. When multiple query_ids are provided (comma-separated), matches are deduplicated across queries and each match includes a match_details array with per-match query metadata and individual dismissed state.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: string
minLength1
Query ParametersExpand Collapse
query_id: array of string

Query ID or comma-separated list of Query IDs. When multiple IDs are provided, matches are deduplicated across queries and each match includes a match_details array with per-match query metadata and dismissed state.

include_dismissed: optional string
include_domain_id: optional string
limit: optional string
offset: optional string
order: optional "asc" or "desc"

Sort order. Options: ‘asc’ (ascending) or ‘desc’ (descending)

One of the following:
"asc"
"desc"
orderBy: optional "domain" or "first_seen" or "registrar"

Column to sort by. Options: ‘domain’, ‘first_seen’, or ‘registrar’

One of the following:
"domain"
"first_seen"
"registrar"
ReturnsExpand Collapse
matches: array of object { domain, first_seen, public_scans, 6 more }
domain: string
first_seen: string
public_scans: object { submission_id }
submission_id: string
registrar: string
scan_status: string
scan_submission_id: number
source: string
dismissed: optional boolean

Whether the match is dismissed. Only present for single-query requests. For multi-query requests, use the dismissed field in each match_details entry.

match_details: optional array of object { dismissed, match_id, query_id, query_tag }

Per-match detail objects with query metadata and individual dismissed state. Only present when multiple query_ids are requested.

dismissed: boolean

Individual dismissed state for this specific match.

match_id: number
query_id: number
query_tag: string

Tag associated with the query, if one exists.

total: number
minimum0

List saved query matches

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/v2/brand-protection/domain/matches \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "matches": [
    {
      "domain": "domain",
      "first_seen": "first_seen",
      "public_scans": {
        "submission_id": "submission_id"
      },
      "registrar": "registrar",
      "scan_status": "scan_status",
      "scan_submission_id": 0,
      "source": "source",
      "dismissed": true,
      "match_details": [
        {
          "dismissed": true,
          "match_id": 0,
          "query_id": 0,
          "query_tag": "query_tag"
        }
      ]
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "domain": "domain",
      "first_seen": "first_seen",
      "public_scans": {
        "submission_id": "submission_id"
      },
      "registrar": "registrar",
      "scan_status": "scan_status",
      "scan_submission_id": 0,
      "source": "source",
      "dismissed": true,
      "match_details": [
        {
          "dismissed": true,
          "match_id": 0,
          "query_id": 0,
          "query_tag": "query_tag"
        }
      ]
    }
  ],
  "total": 0
}